zenilib: TT_VertHeader_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
TT_VertHeader_ Struct Reference

`#include <tttables.h>`

## Public Attributes

FT_UShort | advance_Height_Max
FT_Short | Ascender
FT_Short | caret_Offset
FT_Short | caret_Slope_Rise
FT_Short | caret_Slope_Run
FT_Short | Descender
FT_Short | Line_Gap
void * | long_metrics
FT_Short | metric_Data_Format
FT_Short | min_Bottom_Side_Bearing
FT_Short | min_Top_Side_Bearing
FT_UShort | number_Of_VMetrics
FT_Short | Reserved [4]
void * | short_metrics
FT_Fixed | Version
FT_Short | yMax_Extent

## Detailed Description

Definition at line 306 of file tttables.h.

## Member Data Documentation

FT_UShort TT_VertHeader_::advance_Height_Max

Definition at line 313 of file tttables.h.

FT_Short TT_VertHeader_::Ascender

Definition at line 309 of file tttables.h.

FT_Short TT_VertHeader_::caret_Offset

Definition at line 320 of file tttables.h.

FT_Short TT_VertHeader_::caret_Slope_Rise

Definition at line 318 of file tttables.h.

FT_Short TT_VertHeader_::caret_Slope_Run

Definition at line 319 of file tttables.h.

FT_Short TT_VertHeader_::Descender

Definition at line 310 of file tttables.h.

FT_Short TT_VertHeader_::Line_Gap

Definition at line 311 of file tttables.h.

void* TT_VertHeader_::long_metrics

Definition at line 331 of file tttables.h.

Referenced by cff_slot_load().

FT_Short TT_VertHeader_::metric_Data_Format

Definition at line 324 of file tttables.h.

FT_Short TT_VertHeader_::min_Bottom_Side_Bearing

Definition at line 316 of file tttables.h.

FT_Short TT_VertHeader_::min_Top_Side_Bearing

Definition at line 315 of file tttables.h.

FT_UShort TT_VertHeader_::number_Of_VMetrics

Definition at line 325 of file tttables.h.

Referenced by cff_slot_load(), and compute_glyph_metrics().

FT_Short TT_VertHeader_::Reserved[4]

Definition at line 322 of file tttables.h.

void* TT_VertHeader_::short_metrics

Definition at line 332 of file tttables.h.

FT_Fixed TT_VertHeader_::Version

Definition at line 308 of file tttables.h.

FT_Short TT_VertHeader_::yMax_Extent

Definition at line 317 of file tttables.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/tttables.h